<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.sky.scientific.mapper.EnterpriseInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="ResultMap" type="org.sky.scientific.pojo.entity.EnterpriseInfoEntity">
        <result column="id" property="id"/>
        <result column="tenant_id" property="tenantId"/>
        <result column="year_and_month" property="yearAndMonth"/>
        <result column="current_year_income" property="currentYearIncome"/>
        <result column="current_year_cost" property="currentYearCost"/>
        <result column="previous_year_income" property="previousYearIncome"/>
        <result column="previous_year_cost" property="previousYearCost"/>
        <result column="last_year_income" property="lastYearIncome"/>
        <result column="last_year_cost" property="lastYearCost"/>
        <result column="remark" property="remark"/>
        <result column="high_tech_year" property="highTechYear"/>
        <result column="high_tech_number" property="highTechNumber"/>
        <result column="high_tech_domain_l1" property="highTechDomainL1"/>
        <result column="high_tech_domain_l1_name" property="highTechDomainL1Name"/>
        <result column="high_tech_domain_l2" property="highTechDomainL2"/>
        <result column="high_tech_domain_l2_name" property="highTechDomainL2Name"/>
        <result column="high_tech_domain_l3" property="highTechDomainL3"/>
        <result column="high_tech_domain_l3_name" property="highTechDomainL3Name"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>

</mapper>
